excelExporter.excelParser.dataModel

## Enum RowObject.PseudoFieldName

- java.lang.Object
- - java.lang.Enum<RowObject.PseudoFieldName>
  - - excelExporter.excelParser.dataModel.RowObject.PseudoFieldName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RowObject.PseudoFieldName>
  Enclosing class:
    RowObject

      public static enum RowObject.PseudoFieldName
      extends java.lang.Enum<RowObject.PseudoFieldName>

  This is the list of pseudo-fields of class `RowObject` that can be accessed from a StringTemplate V4 template. The enumerated fields can be accessed like ordinary public fields from a StringTemplate V4 template. The dot notation is used to do so. Taking the first named value `i0Row` as an example, one would write `<row.i0Row>` to access the related pseudo-field.

  A short explanation of each pseudo-field and a reference to more in-depth information can be found as description of each named value of the enumeration.

  Please note, that the pseudo-fields of the base class `ObjectMap` are inherited and can be accessed, too. See `ObjectMap.PseudoFieldName`.

  A detailed discussion of pseudo-fields and the enumeration of these can be found in the class description of `ObjectMap`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cellAry` The list `ObjectMap.itemAry` of all properties of the row object.
    `i0Row` Access the null based row coordinate `RowObject.i0Row` in the Excel input.
    `iRow` Access the one based row coordinate `RowObject.iRow` in the Excel input.
    `noCells` The number of properties of the row object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RowObject.PseudoFieldName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RowObject.PseudoFieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### i0Row

          public static final RowObject.PseudoFieldName i0Row

      Access the null based row coordinate `RowObject.i0Row` in the Excel input.

      From a StringTemplate V4 template it would be accessed with an expression like `<row.i0Row>`.

    - #### iRow

          public static final RowObject.PseudoFieldName iRow

      Access the one based row coordinate `RowObject.iRow` in the Excel input.

      From a StringTemplate V4 template it would be accessed with an expression like `<row.iRow>`.

    - #### cellAry

          public static final RowObject.PseudoFieldName cellAry

      The list `ObjectMap.itemAry` of all properties of the row object. This pseudo-field is an alias to access the pseudo-field `ObjectMap.PseudoFieldName.itemAry` of the base class.

      From a StringTemplate V4 template the list would be accessed with an expression like `<row.cellAry>`.

    - #### noCells

          public static final RowObject.PseudoFieldName noCells

      The number of properties of the row object. This pseudo-field is an alias to access the pseudo-field `ObjectMap.PseudoFieldName.noItems` of the base class.

      From a StringTemplate V4 template the number would be accessed with an expression like `<row.noCells>`.

  - ### Method Detail

    - #### values

          public static RowObject.PseudoFieldName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RowObject.PseudoFieldName c : RowObject.PseudoFieldName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RowObject.PseudoFieldName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null